# StdFail_NotDone.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StdFail_NotDone.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_Failure.hxx>`

## Defines

#define | StdFail_NotDone_Raise_if(CONDITION, MESSAGE) if (CONDITION) StdFail_NotDone::Raise(MESSAGE);

## Define Documentation

#define StdFail_NotDone_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) StdFail_NotDone::Raise(MESSAGE);